Backend API
cURL
curl --request PATCH \ --url https://api.wacht.dev/api-auth/rate-limit-schemes/{slug} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "rules": [ { "unit": "minute", "duration": 1, "max_requests": 100, "mode": "per_key", "endpoints": [ "*" ], "priority": 0 } ] } '
{ "deployment_id": "<string>", "slug": "default-rate-limits", "name": "Default Rate Limits", "description": "<string>", "rules": [ { "unit": "minute", "duration": 1, "max_requests": 100, "mode": "per_key", "endpoints": [ "*" ], "priority": 0 } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Update a rate limit scheme
API key authentication (format: Bearer {api_key})
Rate limit scheme slug
New display name
New description
Updated rate limit rules
Show child attributes
Rate limit scheme updated
Deployment ID
Unique slug identifier
"default-rate-limits"
Display name
"Default Rate Limits"
Optional description
Rate limit rules
Was this page helpful?